package authentication

import (
	"net/http"

	d "github.com/karincake/dodol"
	rw "github.com/karincake/risoles"
	sr "github.com/karincake/serabi"

	e "simrs-vx/internal/domain/sync-entities/authentication"
)

func CheckCredentialData(input *e.CredentialDto, r *http.Request, w http.ResponseWriter) bool {
	input.Source = r.Header.Get("X-Sync-Source")
	input.SecretKey = r.Header.Get("X-Sync-SecretKey")
	input.UserName = r.Header.Get("X-Sync-UserName")
	if err := sr.Validate(input); err != nil {
		rw.WriteJSON(w, http.StatusUnauthorized, d.II{"errors": err}, nil)
		return false
	}
	return true

}
